org.springframework.batch.core.job.builder

## Class JobBuilder

- java.lang.Object
- - org.springframework.batch.core.job.builder.JobBuilderHelper<JobBuilder>
  - - org.springframework.batch.core.job.builder.JobBuilder

-     public class JobBuilder
      extends JobBuilderHelper<JobBuilder>

  Convenience for building jobs of various kinds.
  Since:
    2.2
  Author:
    Dave Syer

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.springframework.batch.core.job.builder.JobBuilderHelper

      `JobBuilderHelper.CommonJobProperties`

  - ### Field Summary

    - ### Fields inherited from class org.springframework.batch.core.job.builder.JobBuilderHelper

      `logger`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JobBuilder(java.lang.String name)` Create a new builder for a job with the given name.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `JobFlowBuilder` | `flow(Step step)` Create a new job builder that will execute a step or sequence of steps.
    `JobFlowBuilder` | `start(Flow flow)` Create a new job builder that will execute a flow.
    `SimpleJobBuilder` | `start(Step step)` Create a new job builder that will execute a step or sequence of steps.

    - ### Methods inherited from class org.springframework.batch.core.job.builder.JobBuilderHelper

      `enhance, getJobRepository, getName, incrementer, isRestartable, listener, listener, preventRestart, repository, validator`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JobBuilder

          public JobBuilder(java.lang.String name)

      Create a new builder for a job with the given name.
      Parameters:
        `name` - the name of the job

  - ### Method Detail

    - #### start

          public SimpleJobBuilder start(Step step)

      Create a new job builder that will execute a step or sequence of steps.
      Parameters:
        `step` - a step to execute
      Returns:
        a `SimpleJobBuilder`

    - #### start

          public JobFlowBuilder start(Flow flow)

      Create a new job builder that will execute a flow.
      Parameters:
        `flow` - a flow to execute
      Returns:
        a `SimpleJobBuilder`

    - #### flow

          public JobFlowBuilder flow(Step step)

      Create a new job builder that will execute a step or sequence of steps.
      Parameters:
        `step` - a step to execute
      Returns:
        a `SimpleJobBuilder`